# Building Lora gateway library v2 with autotools

## Prerequisites

If you want to cross compile the library, set up your environment and be sure that your toolchain is available in the current `PATH`.

## Build

Here are the step to build the library using the autotools:

    ./bootstrap # Only if you have fetched the sources from git
    ./configure
    make install

By default the library and the tools will be installed in `/usr/local`. You can change the prefix by using `--prefix=/my/wanted/prefix/`.

If you are cross compiling, you should use the `--host` option with your host tuple (e.g `--host=arm-poky-linux-gnueabi`).

You can also build an ipk file for the library by running:

    make ipk

This should create a `libloragw2_*.ipk` file.

## Examples

Here is a full example for Wirnet iBTS:

    ./bootstrap # Only if you have fetched the sources from git
    ./configure --host=arm-poky-linux-gnueabi --prefix=/tmp/libloragw2
    make install
    ./configure --host=arm-poky-linux-gnueabi --prefix=/user/libloragw2
    make ipk
