#ifndef _SX1239_H_
#define _SX1239_H_

#include <stddef.h>
#include <stdint.h>

void *sx1239_open(const char *tty);
int sx1239_close(void *device);
int sx1239_abort(void *device);

int sx1239_configure(void *device, uint8_t radio,
                     uint32_t bandwidth, uint32_t bitrate);

int sx1239_gecko_version(void *device, char *buffer, size_t length);

#define SX1239_HISTO_VALUE_MAX          140
#define SX1239_HISTO_STEP_NB            (SX1239_HISTO_VALUE_MAX + 1)

uint16_t *sx1239_histogram(void *device, uint32_t fstart, uint32_t fstop,
                           uint32_t fstep, uint32_t samples,
                           void (*progress)(uint32_t part, uint32_t total));

#endif
